Please merge quilt 0.48-4 (main) from Debian unstable (main).

Bug #507662 reported by Benjamin Drung on 2010-01-14
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
quilt (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: quilt

Please merge quilt 0.48-4 (main) from Debian unstable (main). It will fix the FTBFS of version 0.48-1ubuntu1.

Changes since 0.48-1ubuntu1:

quilt (0.48-4) unstable; urgency=low

  * Add "ed" to Build-Depends-Indep as it's used by the test-suite.
    Closes: #562446

 -- Raphaël Hertzog <email address hidden> Wed, 13 Jan 2010 10:24:08 +0100

quilt (0.48-3) unstable; urgency=low

  * Stop creating files with 000 mode in the .pc directory. Upstream
    has changed this in their git repository, so we can update our shell
    variant of backup-files accordingly. Closes: #557386, #534840
  * Document the minimal versions for "dh --with quilt" in README.Debian.
    Closes: #532127
  * Support QUILT_PATCH_DIR input environment variable in CDBS's
    patchsys-quilt.mk. Closes: #517664
  * Update test suite to support newer versions of patch. Cherry-pick patch
    from upstream in debian/patches/test-suite-update-for-patch-2.6.
    Closes: #560621
  * Update patch test_broken_patches providing test/file-not-found to work
    with patch 2.6 but disable it since otherwise the package could not be
    compiled with older patch releases.

 -- Raphaël Hertzog <email address hidden> Fri, 11 Dec 2009 15:00:38 +0100

quilt (0.48-2) unstable; urgency=low

  [ Ryan Niebur ]
  * use sensible-editor, which takes $VISUAL into account (Closes:
    #509076)
  * in README.source's example snippet, use the first directory found
    with debian/{rules,patches}, not the last (Closes: 529028)

  [ Raphaël Hertzog ]
  * Switch to source format 3.0 (quilt) to get rid of all the manual
    auto-patching code required to avoid the build-dependency on itself.

 -- Raphaël Hertzog <email address hidden> Thu, 29 Oct 2009 17:56:18 +0100

Related branches

Benjamin Drung (bdrung) wrote :

Please make sure, that you apply the check_series_is_no_dir patch after applying the debdiff (because it's the 3.0 (quilt) source format).

quilt (0.48-4ubuntu1) lucid; urgency=low

  * Merge from Debian unstable (LP: #507662), remaining changes:
    - debian/patches/check_series_is_no_dir: Check that series is not a
      directory (LP: #428657).

 -- Benjamin Drung <email address hidden> Thu, 14 Jan 2010 22:23:25 +0100

Changed in quilt (Ubuntu):
importance: Undecided → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quilt - 0.48-4ubuntu1

---------------
quilt (0.48-4ubuntu1) lucid; urgency=low

  * Merge from Debian unstable (LP: #507662), remaining changes:
    - debian/patches/check_series_is_no_dir: Check that series is not a
      directory (LP: #428657).

quilt (0.48-4) unstable; urgency=low

  * Add "ed" to Build-Depends-Indep as it's used by the test-suite.
    Closes: #562446

quilt (0.48-3) unstable; urgency=low

  * Stop creating files with 000 mode in the .pc directory. Upstream
    has changed this in their git repository, so we can update our shell
    variant of backup-files accordingly. Closes: #557386, #534840
  * Document the minimal versions for "dh --with quilt" in README.Debian.
    Closes: #532127
  * Support QUILT_PATCH_DIR input environment variable in CDBS's
    patchsys-quilt.mk. Closes: #517664
  * Update test suite to support newer versions of patch. Cherry-pick patch
    from upstream in debian/patches/test-suite-update-for-patch-2.6.
    Closes: #560621
  * Update patch test_broken_patches providing test/file-not-found to work
    with patch 2.6 but disable it since otherwise the package could not be
    compiled with older patch releases.

quilt (0.48-2) unstable; urgency=low

  [ Ryan Niebur ]
  * use sensible-editor, which takes $VISUAL into account (Closes:
    #509076)
  * in README.source's example snippet, use the first directory found
    with debian/{rules,patches}, not the last (Closes: 529028)

  [ Raphaël Hertzog ]
  * Switch to source format 3.0 (quilt) to get rid of all the manual
    auto-patching code required to avoid the build-dependency on itself.
 -- Benjamin Drung <email address hidden> Thu, 14 Jan 2010 22:23:25 +0100

Changed in quilt (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers